slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPSetRG

Associates a region object to the polynomial eigensolver.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetRG(PEP pep,RG rg)

Collective

### Input Parameters

| pep | - eigensolver context obtained from PEPCreate()
| rg | - the region object

### Note

Use PEPGetRG() to retrieve the region context (for example, to free it at the end of the computations).

### See Also

PEPGetRG()

### Level

advanced

### Location

src/pep/interface/pepbasic.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages